Subject: Renaming master branch in aports.git to edge?

From: Ariadne Conill <[email-masked]>
Date: Mon, 15 Jun 2020 18:34:04 -0600

Hello,

With all of the discussion about github renaming their default branch from 
"master" to "main", it occured to me that the "master" branch in aports.git 
reflects Alpine's rolling release "edge" repositories.

Discussion of the semantics behind the terminology aside, I think it would be 
more transparent if we renamed "master" to "edge."  This would cause the edge 
repositories to be aligned with an obviously-named branch in aports.git, which 
seems like it would be helpful in general, verses having a special case for 
master == edge and release branches being named after their version numbers.

Thoughts?

Ariadne

---

From: Wolf <[email-masked]>
Date: Fri, 19 Jun 2020 19:34:14 +0200

Hello,

> master == edge and release branches being named after their version numbers.

While in comparison to the master->main change, this one would actually
make sense and would reflect the repo naming, at the same time there
are probably lot of scripts and places that assume it's called master.

In my opinion in this case practicality/convention trumps correctness.

W.

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.

---

From: Natanael Copa <[email-masked]>
Date: Tue, 16 Jun 2020 11:29:42 +0200

On Mon, 15 Jun 2020 18:34:04 -0600

> master == edge and release branches being named after their version numbers.

In general, I like the idea, but I'm not sure its worth it.

I have been thinking for a while that it would be nice if
the git branch corresponds with the release branch. eg: git master ->
edge, 3.12-stable -> v3.12.

I originally thought that we could create a symlink in the apk
repository `ln -s edge master` and `ln -s v3.12 3.12-stable` so we
would be backwards compatible and avoid breakages, but I never liked
the idea of renaming 'edge' repo to 'master'. Renaming the git branch
'master' to 'edge' would be nicer and makes more sense.

On the other hand, I suspect that there will alot of things that
breaks, like CI, secdb generation, `abuild rootbld`, docker-abuild, old
URLs pointing to commits in 'master' and who knows what else. I doubt
it is worth it. I'd rather spend my time on working on musl 1.2 and the
time64 migration. At least for now.

-nc

---

From: Ivan Tham <[email-masked]>
Date: Wed, 17 Jun 2020 15:13:09 +0800

>time64 migration. At least for now.

I still don't get why they would want to rename the master branch to main. But
if we should rename, I think we should pick on some better names, I have one
on my end, renaming master to d. d is d branch, the only main branch. Easier
to type with just one character, 6x shorter than master and 4x shorter than
main, the name sounds cool and it does not hurt anyone. By the way, one source
of inspiration I can think of: Monkey D. Luffy 海賊王に俺はなる。 ^^

-- 
Do what you like, like what you do.  -- Pickfire

---

From: Leo <[email-masked]>
Date: Wed, 17 Jun 2020 04:19:01 -0300

> 
> I still don't get why they would want to rename the master branch to
> main. But if we should rename, I think we should pick on some better
> names, I have one on my end, renaming master to d. d is d branch, the
> only main branch. Easier to type with just one character, 6x shorter
> than master and 4x shorter than main, the name sounds cool and it
> does not hurt anyone. By the way, one source of inspiration I can
> think of: Monkey D. Luffy 海賊王に俺はなる。 ^^
> 

Hello

Ariadne is talking about renaming master to edge so that it reflects
what release of Alpine Linux the branch relates to (in that case being
Alpine Linux Edge) like 3.12-stable affects Alpine Linux 3.12

Regards
Leo